Update kickstart_rhsm to allow registration to a satellite instance if katello is not installed.
Description

Previously with the redhat_register template | was able to pass in a subscription_manager_certpkg_url which configured subscription
manager to use the satellite instance. It seems this should be configurable with the new commands as well.

It seems we just need to make these configurable to something else if katello is not installed.

subman_hostname = " --server-hostname #{@host.content_source.rhsm_url.host}" if (plugin_present?('katello’) &&
@host.content_source)
subman_rhsm_baseurl = " --rhsm-baseurl #{@host.content_source.pulp_content_url}" if (plugin_present?('katello’) &&

@host.content_source)

A side note is that the above rhsm commands are not documented in RedHat's documentation.
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/9/html/performing_an_advanced_rhel_9_installation/kicksta
rt-commands-and-options-reference_installing-rhel-as-an-experienced-user#rhsm_kickstart-commands-for-installation-program-confi
guration-and-flow-control

Related issues:
Copied from Templates - Feature #35914: Update kickstart_rhsm to allow regist... New

History

#1 - 01/10/2023 06:49 PM - Doug Forster

- Copied from Feature #35914: Update kickstart_rhsm to allow registration to a satellite instance if katello is not installed. added

#2 - 01/10/2023 06:50 PM - The Foreman Bot
- Status changed from New to Ready For Testing

#3 - 06/14/2023 01:23 AM - The Foreman Bot
- Status changed from Ready For Testing to New
- Pull request deleted (https://github.com/theforeman/foreman/pull/9579)
